<Project Sdk="Microsoft.NET.Sdk">
   <Import Project="$(SolutionDir)Solution.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <PlatformTarget>x86</PlatformTarget>
      <AssemblyName>Raytheon.Instruments.SwitchVTI</AssemblyName>
      <Product>Switch VTI implementation</Product>
      <Description>Switch VTI implementation</Description>
      <OutputType>Library</OutputType>

      <!-- Static versioning (Suitable for Development) -->
      <!-- Disable the line below for dynamic versioning -->
      <Version>1.0.0</Version>
   </PropertyGroup>

   <ItemGroup>
      <PackageReference Include="NLog" Version="5.0.0" />
      <PackageReference Include="Raytheon.Common" Version="1.0.0" />
      <PackageReference Include="Raytheon.Instruments.Switch.Contracts" Version="1.6.0" />
   </ItemGroup>

   <ItemGroup>
      <ProjectReference Include="..\SwitchSim\SwitchSim.csproj" />
   </ItemGroup>

   <ItemGroup>
      <Reference Include="Ivi.Driver.Interop">
         <HintPath>..\..\Common\COTS\VTI\Ivi.Driver.Interop.dll</HintPath>
      </Reference>
      <Reference Include="VTI.VTEXSwitch.Interop">
         <HintPath>..\..\Common\COTS\VTI\VTI.VTEXSwitch.Interop.dll</HintPath>
         <EmbedInteropTypes>True</EmbedInteropTypes>
      </Reference>
   </ItemGroup>

</Project>
